<?php


namespace Venom\Admin;


use Venom\Admin\Routes\LoginRoute;
use Venom\Routing\Router;
use Venom\Venom;

class AdminRouterInit
{
    public static function registerAdminRouters(Venom $venom): void
    {
        $router = new Router(Router::ADMIN_ROUTER, 1.0, '/admin/api');
        $router->addRoutes(self::getRoutes());
        $venom->addRouter(Router::ADMIN_ROUTER, $router);
    }

    public static function getRoutes(): array
    {
        return [
            '/login' => [
                'cl' => LoginRoute::class,
                'roles' => ['ROLE_GUEST'],
                'routes' => [
                    '*' => [
                        "POST" => 'login'
                    ],
                    '1' => [
                        "GET" => 'handle'
                    ]
                ]
            ]
        ];
    }
}